
CoCoA-5 - Bug #1230

PrimaryDecomposition with lex ordering

19 Oct 2018 17:19 - John Abbott

Status: Closed Start date: 19 Oct 2018

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Incomplete function Estimated time: 1.23 hour

Target version: CoCoA-5.3.0 Spent time: 1.25 hour

Description

Robbiano reports the following problem:

Use P::= QQ[x,y,z];

f1:=z^2-y;  f2:= x^2 -2*x*z +y; f3:=y^2-y-z;

J:=ideal(f1,f2,f3);

PrimaryDecomposition(J);

-->  [ideal(z^2 -y,  y^2 -y -z,  x^2 -2*x*z +y,  z),  ideal(z^2 -y,  y^2 -y -z,  x^2 -2*x*z +y,  z

^3 -z -1)]

-- Change ordering, same ideal

Use P::= QQ[x,y,z],Lex;

f1:=z^2-y;  f2:= x^2 -2*x*z +y; f3:=y^2-y-z;

J:=ideal(f1,f2,f3);

PrimaryDecomposition(J);

--> ERROR: NOT YET IMPLEMENTED -- please be patient, we're working on it

--> [CoCoALib] GBasisByHomog not drl

Related issues:

Related to CoCoALib - Feature #1212: New function: GBasisByHomog Closed 05 Aug 2018

Related to CoCoALib - Slug #1105: Primary Decompositon (zero-dim)  slow cases Closed 02 Oct 2017

History

#1 - 22 Oct 2018 16:04 - Anna Maria Bigatti

- Related to Feature #1212: New function: GBasisByHomog added

#2 - 01 Oct 2019 14:44 - John Abbott

- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 20

The given example seems to work now.  Has this been fixed?

If so, close; otherwise postpone to next version.

#3 - 02 Oct 2019 16:12 - John Abbott

- Related to Slug #1105: Primary Decompositon (zero-dim)  slow cases added

#4 - 11 Oct 2019 22:03 - John Abbott

- Status changed from In Progress to Resolved

- % Done changed from 20 to 80

I think this has already been done.  Changed status to "resolved".
#5 - 14 Oct 2019 17:32 - Anna Maria Bigatti

- Status changed from Resolved to In Progress

- % Done changed from 80 to 70

Not quite :-/

there is still something dodgy:

/**/ J:=ideal(f1,f2,f3);

/**/ GBasisByHomog(J);

[y -z^2,  y^2 -z^2 -z,  x^2 -2*x*z +z^2,  y*z^2 -z^2 -z,  z^4 -z^2 -z]

/**/ PrimaryDecomposition(J);

--> ERROR: NOT YET IMPLEMENTED -- please be patient, we're working on it

--> [CoCoALib] myPrimaryDecomposition() -- general ideal

--> PrimaryDecomposition(J);

--> ^^^^^^^^^^^^^^^^^^^^^^^

#6 - 16 Jan 2020 12:15 - John Abbott

This seems to work for me now.

We must add a test to exbugs.cocoa5; we can simply copy the failing case from the issue description.

Then close?

#7 - 13 Feb 2020 09:25 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- % Done changed from 70 to 90

Seems to work now.

We did not note how we fixed the problem in comment 5. :-/

closing?

#8 - 13 Feb 2020 10:09 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 1.23 h

I have added the example to exbugs.cocoa5

Closing!
